Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78728 - [arpwatch] Gives 'bogon' message for 0.0.0.0 IP
Summary: [arpwatch] Gives 'bogon' message for 0.0.0.0 IP
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcpdump
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-28 12:48 UTC by Enrico Scholz
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-08 16:20:17 UTC


Attachments (Terms of Use)
Removes bogus 'bogon 0.0.0.0' message (deleted)
2002-11-28 12:49 UTC, Enrico Scholz
no flags Details | Diff

Description Enrico Scholz 2002-11-28 12:48:30 UTC
Description of Problem:

DHCP sets the source-IP address to 0.0.0.0 on DHCPDISCOVER messages. Same
happens when doing "Duplicate address detection  mode  (DAD)" (see '-D' option
at 'man 8 arping').

When arpwatch sees such packages, it creates a 'arpwatch: bogon 0.0.0.0 <mac>'
message.


Version-Release number of selected component (if applicable):

arpwatch-2.1a11-16


How Reproducible:

100%


Steps to Reproduce:
1.  run arpwatch
2a. on a DHCP enabled machine release the lease and restart the machine, OR
2b. run 'arping -D <IP>'
3.  watch /var/log/messages


Actual Results:

something like.
| ... arpwatch: bogon 0.0.0.0 0:2:b3:9a:9f:c4


Expected Results:

no such message

Comment 1 Enrico Scholz 2002-11-28 12:49:31 UTC
Created attachment 86844 [details]
Removes bogus 'bogon 0.0.0.0' message

Comment 2 Harald Hoyer 2003-03-10 15:31:35 UTC
is it fixed with the latest rawhide 3.7.2 version?

Comment 3 Enrico Scholz 2003-04-29 00:56:09 UTC
Still seeing it with the latest RHL 7.3 errata (arpwatch-2.1a11-17.7.3.2)

Comment 4 Harald Hoyer 2004-12-08 16:20:17 UTC
please report that upstream... 


Note You need to log in before you can comment on or make changes to this bug.